Gets the RCS-enabled phone numbers for a list of users.

The returned payload contains a list of RCS-enabled phone numbers reachable by the RCS for Business platform for the specified users. Only phone numbers that are RCS-enabled for a carrier on which the agent is launched will be returned.

The returned payload also contains values that can be used to estimate the potential reach of a list of phone numbers, regardless of the launch status of the agent.

Maximum 600 queries per minute (QPM).

**Important:** The `users.batchGet` method requires the use of regional endpoints. Requests must contain phone numbers from a single geographic region. Sending phone numbers from multiple regions in a single request or sent to the incorrect regional endpoint will result in a `400 Bad Request` error.

Regional endpoints:

- **North America:** <https://us-rcsbusinessmessaging.googleapis.com/v1/users:batchGet>
- **Europe:** <https://europe-rcsbusinessmessaging.googleapis.com/v1/users:batchGet>
- **Asia Pacific:** <https://asia-rcsbusinessmessaging.googleapis.com/v1/users:batchGet>

### HTTP request

`POST https://rcsbusinessmessaging.googleapis.com/v1/users:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ string ], "agentId": string } ``` |

| Fields ||
|---|---|
| `users[]` | `string` List of users' phone numbers in E.164 format. All phone numbers in a single request must belong to the same geographic region. Requests containing phone numbers from multiple regions or sent to the incorrect regional endpoint will fail with a `400 Bad Request` error. |
| `agentId` | `string` Required. The agent's unique identifier. |

### Response body

Response with user reachability data for RCS for Business.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reachableUsers": [ string ], "totalRandomSampleUserCount": integer, "reachableRandomSampleUserCount": integer, "reachableUsersMap": { string: { object (`https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users/batchGet#ReachableUsers`) }, ... } } ``` |

| Fields ||
|---|---|
| `reachableUsers[]` | `string` List of users' phone numbers that RCS for Business can reach. Only includes users on carriers that the agent is launched on. |
| `totalRandomSampleUserCount` | `integer` Count of phone numbers randomly selected from `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users/batchGet#body.BatchGetUsersResponse.FIELDS.reachable_users`. Typically, this value is \~75% of the total requested phone numbers. This value is `0` if the count of requested phone numbers is less than 500. |
| `reachableRandomSampleUserCount` | `integer` Count of phone numbers from the randomly selected list that are RCS-reachable across all carriers, regardless of the agent's launch status. The ratio between this value and `https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users/batchGet#body.BatchGetUsersResponse.FIELDS.total_random_sample_user_count` can approximate the potential reach for a list of users. |
| `reachableUsersMap` | ``map (key: string, value: object (`https://developers.google.com/business-communications/rcs-business-messaging/reference/rest/v1/users/batchGet#ReachableUsers`))`` Output only. Map of carrier ID to a list of reachable users on that carrier. This field is only populated for US phone numbers. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/rcsbusinessmessaging`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## ReachableUsers

A list of reachable users on a specific carrier.

| JSON representation |
|---|
| ``` { "reachableUsers": [ string ] } ``` |

| Fields ||
|---|---|
| `reachableUsers[]` | `string` A list of reachable users on a specific carrier. This field is only populated for US phone numbers. |